## g2reverb-0.7.1-7.src.tar.gz

=== Makefile ===
# -----------------------------------------------------------------------
#
#  Copyright (C) 2003-2014 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# -----------------------------------------------------------------------


CPPFLAGS += -I. -fPIC -D_REENTRANT
CXXFLAGS += -Wall -O2

all:	g2reverb.so


REVERBS_O = reverbs.o reverbs_if.o greverb.o exp2ap.o
g2reverb.so:	$(REVERBS_O)	
	g++ -shared  -o $@  $(REVERBS_O)

reverbs.o:	ladspaplugin.h reverbs.h greverb.h
reverbs_if.o:	ladspaplugin.h reverbs.h greverb.h


install:	g2reverb.so
	cp  *.so /usr/lib/ladspa

clean:
	rm -rf *~ *.o *.so

=== PKGBUILD ===
# Maintainer: David Runge <dave@sleepmap.de>
# Contributor: speps <speps at aur dot archlinux dot org>

pkgname=g2reverb
pkgver=0.7.1
pkgrel=7
pkgdesc="LADSPA stereo reverb plugin based on greverb"
arch=('x86_64')
url="https://kokkinizita.linuxaudio.org/linuxaudio/ladspa/"
license=('GPL2')
groups=('ladspa-plugins' 'pro-audio')
depends=('gcc-libs')
makedepends=('ladspa')
source=("https://kokkinizita.linuxaudio.org/linuxaudio/downloads/${pkgname}-${pkgver}.tar.bz2")
sha512sums=('ff6f8de5f41e031e0841acb0e60a0ee9c7be9b7c4375ccda4c0f406b4e789ab84e2b2d52c31ec1bf2be75309a2068d5a167c94568346c7251df9c513b4c6c189')

build() {
  cd "${pkgname}-${pkgver}"
  make
}

package() {
  cd "${pkgname}-${pkgver}"

  # libs
  install -vDm 755 "${pkgname}.so" "${pkgdir}/usr/lib/ladspa/${pkgname}.so"
  # docs
  install -vDm 644 {AUTHORS,README} -t "${pkgdir}/usr/share/doc/${pkgname}/"
}
